# `renovate-pretty-log`

Two utilities for exploring [Renovate](https://docs.renovatebot.com/) debug log files.

## `cmd/renovate-pretty-log-tui`

The `renovate-pretty-log-tui` command provides a Terminal User Interface (TUI) for interacting with a Renovate debug log export.

This provides a more rich means to explore the log lines, allowing  scrolling down the list of log lines, and can expand a given log line, if there are any extra pieces of context (denoted by a `+`):

[![asciicast](https://asciinema.org/a/Taz0vUWhmszaDtbWEuiJgICRi.svg)](https://asciinema.org/a/Taz0vUWhmszaDtbWEuiJgICRi)

Usage:

```sh
# to read the log file, and by default only see INFO level logs (and above)
renovate-pretty-log-tui -path /path/to/debug.log

# to read the log file, and see INFO level logs (and above)
renovate-pretty-log-tui -path /path/to/debug.log -level info

# to read the log file, and see DEBUG level logs (and above)
renovate-pretty-log-tui -path /path/to/debug.log -level debug
```

## `cmd/renovate-pretty-log`

The `renovate-pretty-log` provides a Terminal User Interface (TUI) for interacting with a Renovate debug log export.

This provides a more rich means to explore the log lines, allowing  scrolling down the list of log lines, and can expand a given log line, if there are any extra pieces of context (denoted by a `+`):

[![asciicast demo](https://asciinema.org/a/lc0dXTIyk7g8PKPrMRRAkX0ZD.svg)](https://asciinema.org/a/lc0dXTIyk7g8PKPrMRRAkX0ZD)

Usage:

```sh
# to read the log file, and by default only see INFO level logs (and above)
renovate-pretty-log -path /path/to/debug.log

# to read the log file, and see INFO level logs (and above)
renovate-pretty-log -path /path/to/debug.log -level info

# to read the log file, and see DEBUG level logs (and above)
renovate-pretty-log -path /path/to/debug.log -level debug
```

## License

This project is licensed under the Apache-2.0 license.

However, note that this includes output from the following Large Language Models (LLMs), via GitHub Copilot:

- claude:3.7-sonnet
- claude:3.7-sonnet-thinking
- gpt:4o
- gpt:4.1
